#pragma once


// CSingleInputDlg 대화 상자입니다.

class CSingleInputDlg : public CDialog
{
    DECLARE_DYNAMIC(CSingleInputDlg)

public:

    CSingleInputDlg(const CString& szTitle, 
        const CString& szQuestion, CWnd* pParent = NULL);   // 표준 생성자입니다.

    virtual ~CSingleInputDlg();

// 대화 상자 데이터입니다.
    enum { IDD = IDD_SINGLE_INPUT };

protected:

    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.
    DECLARE_MESSAGE_MAP()

public:

    const CString& GetSingleInput() const { return m_szSingleInput; }
    virtual BOOL OnInitDialog();

private:

    CString m_szTitle;
    CString m_szQuestion;
    CString m_szSingleInput;
};
